set(VCPKG_TARGET_ARCHITECTURE x86)
set(VCPKG_PLATFORM_TOOLSET v143)
set(VCPKG_LIBRARY_LINKAGE static)
set(VCPKG_CRT_LINKAGE static)

set(VCPKG_CXX_FLAGS "/Zc:__cplusplus /Zc:throwingNew")
set(VCPKG_C_FLAGS "")

set(VCPKG_LINKER_FLAGS_RELEASE "/NODEFAULTLIB:libucrt.lib /DEFAULTLIB:ucrt.lib")
set(VCPKG_LINKER_FLAGS_DEBUG "/NODEFAULTLIB:libucrtd.lib /DEFAULTLIB:ucrtd.lib")

set(VCPKG_ENV_PASSTHROUGH VCPKG_DEFAULT_TRIPLET;VCPKG_OVERLAY_TRIPLETS;VCPKG_OVERLAY_PORTS)
set(VCPKG_ENV_PASSTHROUGH_UNTRACKED VCPKG_FEATURE_FLAGS)
